VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsTables"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private colTables As Collection


Public Function Add(TextArray() As String, _
                                        Optional ByVal Left As Single, _
                                        Optional ByVal Top As Single, _
                                        Optional ByVal BorderWidth As Integer, _
                                        Optional ByVal CellSpacing As Single, _
                                        Optional ByVal PositionIsAbsolute As Boolean) As clsTableAttributes

Dim t As New clsTableAttributes

    With t
        .TextArray = TextArray()
        .Left = Left
        .Top = Top
        .BorderWidth = BorderWidth
        .CellSpacing = CellSpacing
        .PositionIsAbsolute = PositionIsAbsolute
    End With
    colTables.Add t
    Set Add = t
    CQueue.Add objTypeTable, Count
End Function

Public Property Get Count() As Integer
    Count = colTables.Count
End Property

Public Property Get Item(ByVal Index As Integer) As clsTableAttributes
Attribute Item.VB_UserMemId = 0
    Set Item = colTables.Item(Index)
End Property

Private Sub Class_Initialize()
    Set colTables = New Collection
End Sub

Private Sub Class_Terminate()
    Set colTables = Nothing
End Sub
